Name:           python-language-formatters-pre-commit-hooks
Version:        2.15.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        List of pre-commit hooks meant to format your source code.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/macisamuele/language-formatters-pre-commit-hooks
Source:         %{pypi_source language_formatters_pre_commit_hooks}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'language-formatters-pre-commit-hooks' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-language-formatters-pre-commit-hooks
Summary:        %{summary}

%description -n python3-language-formatters-pre-commit-hooks %_description


%prep
%autosetup -p1 -n language_formatters_pre_commit_hooks-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-language-formatters-pre-commit-hooks -f %{pyproject_files}


%changelog
%autochangelog